How to update mongorestore

I have upgraded mongo to version 4.0.9, but mongorestore still says version 3.4.2 which doesn’t have the --uri option.
Help with upgrading this is appreaaciated, I can’t seem to figure it out.

Make sure $PATH variable or Environment variable has only 4.0.9 MongoDB version and not previous one.

If possible, try absolute full path while running mongorestore command.

Kanika

Thank you.
How do I check those variables?

Hi @smoriarty81,

Please check the link:

https://www.java.com/en/download/help/path.xml

Kanika

I’m on MacOS Mojave
That link didn’t really go into much for MAC, other than saying changing the path is generally not necessary.

Hi @smoriarty81,

I just googled and found this:

Kanika

Thanks for your help.
There didn’t appear to be any $path variables, at least none listed with the commands in that article.
Turns out I was over complicating it anyway.
I just deleted everything mongo related in /usr/local/bin and replaced it with the new version I downloaded from the site. If anyone else has the same issue.